List of all functions in CoCoALib

07 Dec 2011 10:13 - Anna Maria Bigatti

Status: New Start date: 07 Dec 2011

Priority: Low Due date:  

Assignee:  % Done: 10%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.30 hour

Description

It would be nice to be able to generate (automatically!) a list of all functions in CoCoALib and the file where they are defined.

Is there a tool to do this?

(this came up from a question by Alessandra Caleo, working on CoCoALib examples)

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

History

#1 - 07 Dec 2011 10:16 - Anna Maria Bigatti

- Priority changed from Normal to Low

#2 - 01 Apr 2014 18:10 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#3 - 07 Apr 2014 18:09 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0

#4 - 26 Sep 2022 11:42 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99850

- % Done changed from 0 to 10

OOPS: I thought this was about CoCoA-5

Is there any progress on this issue?  Redmine says it is 11 years old!

starting("") produces a list of records, one for each built-in or exported package fn.

The function PackageOf returns a string, being the name of the package (or else an "error mesg").

Note that starting("$PkgName.") will include non-exported package fns!

Are these 2 fns enough to resolve this issue?

[JAA thinks "probably yes"]

This might be useful to find out which functions are not documented...?
#5 - 08 Mar 2023 19:44 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-1.0

I think the documentation for CoCoALib needs a major overhaul...

Something similar to what we have made for CoCoA-5 would already be considerably better.

Postponing to 0.999999  :-(

I wonder if this could be partly a student project?  By first we must decide what we want!
